View Issue Details

IDProjectCategoryView StatusLast Update
0001371HTML & PERLBug Report - Interfacepublic2009-01-24 02:24
Reportern2k Assigned Tofahrenheit  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001371: Profile Javascript tab - cannot unchecking check boxes does not get saved
DescriptionWhen unchecking the following checkboxes they are not saved properly:
[x] Use quick-add instead of normal mylist add
[x] Get anime information on link hover
[x] Filter groups in group table according to language preferences (bypasses profile option if enabled)

You can enable the settings just fine (I did not have "Use quick-add instead of normal mylist add" and "Get anime information on link hover" check before), but when you uncheck them, then click "Save preferences" I get a javascript alert box saying "Current preferences saved" with and OK button.
Next I reload the profile page, go to the Javascript tab the boxes are still checked (and their functions are still enabled :p)
Additional InformationI'm not sure if this is dependant on whether I have enabled javascript/ajax on anime/mylist pages.
Tagsjavascript, profile

Activities

n2k

2009-01-04 15:11

reporter   ~0002463

Last edited: 2009-01-04 15:31

Please remove the word 'cannot' form the summary :<

edit:
This happens in FireFox, IE does not show those boxes at all and Chrome is the same as FF

V 0.1.54 cvs/mod 2008-12-07, (C) 2002-2008 by AniDB, all rights reserved [1s].
Javascript: anime3/profile.js $Revision: 1939 $, $Date:: 2008-12-14 18:25:04 +0000#$.

necrologist

2009-01-07 22:26

reporter   ~0002468

Last edited: 2009-01-07 22:27

deleting cookies solved this for me, but it's possible that a simple relog into anidb will solve it, give it a try

ofc it's only a temporary solution

n2k

2009-01-08 00:37

reporter   ~0002469

I don't even have to press 'save preferences' after clearing the cookies...

fahrenheit

2009-01-24 02:08

reporter   ~0002497

not realy, changes for most fields are instant, the "save preferences" button is just there as a placebo, but some stuff realy is only saved if you press save preferences.

fahrenheit

2009-01-24 02:24

reporter   ~0002498

anyways should be fixed now.

will upload fixes in a couple of hours or so.

Issue History

Date Modified Username Field Change
2009-01-04 15:07 n2k New Issue
2009-01-04 15:08 n2k Tag Attached: javascript
2009-01-04 15:08 n2k Tag Attached: profile
2009-01-04 15:11 n2k Note Added: 0002463
2009-01-04 15:31 n2k Note Edited: 0002463
2009-01-07 22:26 necrologist Note Added: 0002468
2009-01-07 22:27 necrologist Note Edited: 0002468
2009-01-08 00:37 n2k Note Added: 0002469
2009-01-08 00:43 fahrenheit Status new => assigned
2009-01-08 00:43 fahrenheit Assigned To => fahrenheit
2009-01-24 02:08 fahrenheit Note Added: 0002497
2009-01-24 02:24 fahrenheit Status assigned => resolved
2009-01-24 02:24 fahrenheit Resolution open => fixed
2009-01-24 02:24 fahrenheit Note Added: 0002498